package ru.ulstu.aspirant.model;

import jakarta.persistence.Entity;
import jakarta.persistence.OneToMany;
import jakarta.persistence.Temporal;
import jakarta.persistence.TemporalType;
import ru.ulstu.model.BaseEntity;

import java.util.ArrayList;
import java.util.Date;
import java.util.List;

@Entity
public class Report extends BaseEntity {
    @Temporal(TemporalType.TIMESTAMP)
    private Date createDate = new Date();

    @OneToMany
    private List<ReportValue> values = new ArrayList<>();

    public List<ReportValue> getValues() {
        return values;
    }

    public void setValues(List<ReportValue> values) {
        this.values = values;
    }

    public Date getCreateDate() {
        return createDate;
    }

    public void setCreateDate(Date createDate) {
        this.createDate = createDate;
    }
}
